> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1licenseactivatelicense



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.License//swagger/v1/swagger.json post /api/v1/license/activateLicense
openapi: 3.0.0
info:
  title: NDS.Services.License
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.License/
security: []
paths:
  /api/v1/license/activateLicense:
    post:
      tags:
        - License
      operationId: License_ActivateLicense
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActivateLicenseRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivateLicenseResult'
components:
  schemas:
    ActivateLicenseRequest:
      type: object
      additionalProperties: false
      properties:
        ProductKey:
          type: string
          pattern: ^([A-Za-z0-9]{5}-){4}[A-Za-z0-9]{5}$
          nullable: true
        CustomerInfo:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/CustomerInfo'
    ActivateLicenseResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
    CustomerInfo:
      type: object
      additionalProperties: false
      required:
        - Company
        - FirstName
        - LastName
        - Email
      properties:
        Company:
          type: string
          minLength: 2
        Address:
          type: string
          nullable: true
        City:
          type: string
          nullable: true
        Zipcode:
          type: string
          nullable: true
        Country:
          type: string
          nullable: true
        Website:
          type: string
          nullable: true
        FirstName:
          type: string
          minLength: 2
        LastName:
          type: string
          minLength: 2
        Phone:
          type: string
          nullable: true
        Email:
          type: string
          minLength: 1
          pattern: ^([\w\.\-]+)@([\w\-]+)((\.(\w){2,})+)$
        EulaVersion:
          type: string
          nullable: true
        AcceptedEula:
          type: boolean
        AcceptedGDPR:
          type: boolean
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````